@charset "UTF-8";

html {
  height: auto;
}

body {
  font-family: Roboto, Helvetica, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  --bg-opacity: 1;
  background-color: #edf2f7;
  background-color: rgba(237, 242, 247, var(--bg-opacity));
}

label {
  font-weight: 400;
  cursor: pointer;
}

a {
  --text-opacity: 1;
  color: #2c7a7b;
  color: rgba(44, 122, 123, var(--text-opacity));
}

a:hover, a:active, a:focus {
  --text-opacity: 1;
  color: #234e52;
  color: rgba(35, 78, 82, var(--text-opacity));
}

hr {
  --border-opacity: 1;
  border-color: #edf2f7;
  border-color: rgba(237, 242, 247, var(--border-opacity));
  margin-top: 1rem;
  margin-bottom: 2.5rem;
}

input[type=file] {
  width: 190px !important;
  outline: 0;
}

.box-body table.dataTable {
  margin-top: 0px !important;
  margin-bottom: 15px !important;
}

.box-body .table-bordered > thead > tr > th,
.box-body .table-bordered > tbody > tr > th,
.box-body .table-bordered > tfoot > tr > th,
.box-body .table-bordered > thead > tr > td,
.box-body .table-bordered > tbody > tr > td,
.box-body .table-bordered > tfoot > tr > td,
.box-body .table-bordered {
  border-color: #eee;
}

.alert {
  padding: 10px;
}

.alert label {
  margin-bottom: 0;
}

.main-header {
  box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.02), 0 1px 2px 0 rgba(0, 0, 0, 0.06);
}

.main-header .logo {
  font-family: Roboto, Helvetica, sans-serif;
  letter-spacing: 0.05em;
  --text-opacity: 1;
  color: #f7fafc;
  color: rgba(247, 250, 252, var(--text-opacity));
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  height: auto;
  --text-opacity: 1;
  color: #edf2f7;
  color: rgba(237, 242, 247, var(--text-opacity));
  background-color: #161b26;
  transition: none;
  text-align: left;
  max-height: 60px;
}

.main-header .logo img {
  margin-left: -5px;
}

.main-header .navbar {
  transition: none;
  padding-right: 15px;
  --bg-opacity: 1;
  background-color: #fff;
  background-color: rgba(255, 255, 255, var(--bg-opacity));
  height: 6rem;
  padding-left: 2rem;
}

.main-header .navbar .nav > li > a {
  --text-opacity: 1;
  color: #4a5568;
  color: rgba(74, 85, 104, var(--text-opacity));
  margin-top: 1rem;
  margin-bottom: 1rem;
  line-height: 1.5;
}

.main-header .navbar .nav > li > a:hover, .main-header .navbar .nav > li > a:active, .main-header .navbar .nav > li > a:focus {
  --text-opacity: 1;
  color: #2c7a7b;
  color: rgba(44, 122, 123, var(--text-opacity));
  --bg-opacity: 1;
  background-color: #edf2f7;
  background-color: rgba(237, 242, 247, var(--bg-opacity));
}

.main-header .navbar .nav > li.open > a {
  --text-opacity: 1;
  color: #2c7a7b;
  color: rgba(44, 122, 123, var(--text-opacity));
}

.main-header .sidebar-toggle {
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  --text-opacity: 1;
  color: #4a5568;
  color: rgba(74, 85, 104, var(--text-opacity));
  padding: 2rem;
  margin-left: -2rem;
}

.main-header .sidebar-toggle:hover, .main-header .sidebar-toggle:active, .main-header .sidebar-toggle:focus {
  --text-opacity: 1;
  color: #2c7a7b;
  color: rgba(44, 122, 123, var(--text-opacity));
  --bg-opacity: 1;
  background-color: #f7fafc;
  background-color: rgba(247, 250, 252, var(--bg-opacity));
}

.nav .open > a,
.nav .open > a:hover,
.nav .open > a:focus {
  --text-opacity: 1;
  color: #2c7a7b;
  color: rgba(44, 122, 123, var(--text-opacity));
  --bg-opacity: 1;
  background-color: #edf2f7;
  background-color: rgba(237, 242, 247, var(--bg-opacity));
}

.dropdown-menu {
  min-width: 200px;
}

.navbar-nav {
  margin-top: 2px;
  margin-bottom: 2px;
}

.navbar-nav > li {
  margin-left: 0.5rem;
}

.breadcrumb {
  font-size: 12px;
  padding-left: 0;
  padding-right: 0;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  --bg-opacity: 1;
  background-color: #edf2f7;
  background-color: rgba(237, 242, 247, var(--bg-opacity));
  text-transform: uppercase;
}

.navbar-nav > li > .dropdown-menu {
  margin-top: 2px;
  box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);
  padding-top: 0;
  padding-bottom: 0;
  border-radius: 0.25rem;
}

.main-header .dropdown-menu > li > a {
  padding: 8px 15px;
  margin-left: 0.5rem;
  margin-right: 0.5rem;
  margin-top: 0.5rem;
  margin-bottom: 0.5rem;
  border-radius: 0.25rem;
}

.main-header .dropdown-menu > li > a:hover, .main-header .dropdown-menu > li > a:active, .main-header .dropdown-menu > li > a:focus {
  --text-opacity: 1;
  color: #2c7a7b;
  color: rgba(44, 122, 123, var(--text-opacity));
  --bg-opacity: 1;
  background-color: #edf2f7;
  background-color: rgba(237, 242, 247, var(--bg-opacity));
}

.main-sidebar {
  box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
  background-color: #1a202c;
  padding-top: 60px;
}

.sidebar-menu li > a {
  --text-opacity: 1;
  color: #cbd5e0;
  color: rgba(203, 213, 224, var(--text-opacity));
}

.main-sidebar .treeview-menu > li > a {
  padding-top: 1rem;
  padding-bottom: 1rem;
  font-weight: 400;
  background-color: #1e2532;
}

.sidebar-menu > li.header {
  padding-top: 2rem;
  padding-bottom: 2rem;
  --text-opacity: 1;
  color: #718096;
  color: rgba(113, 128, 150, var(--text-opacity));
}

.sidebar-menu > li > a:hover, .sidebar-menu > li > a:focus, .sidebar-menu > li > a:active {
  --text-opacity: 1;
  color: #fff;
  color: rgba(255, 255, 255, var(--text-opacity));
  background-color: #161b26;
}

.sidebar-menu > li > a > i {
  margin-right: 0.5rem;
}

.sidebar-menu li > a > i {
  margin-right: 0.5rem;
}

.sidebar-menu li > .treeview-menu > li > a:hover, .sidebar-menu li > .treeview-menu > li > a:focus, .sidebar-menu li > .treeview-menu > li > a:active {
  --text-opacity: 1;
  color: #fff;
  color: rgba(255, 255, 255, var(--text-opacity));
  background-color: #222939;
}

.sidebar-menu > li.active > a {
  background-color: #161b26;
}

.sidebar-menu .treeview-menu {
  padding-left: 0px;
}

.sidebar-menu > li > a {
  padding-right: 30px;
}

.sidebar-menu li.active > a,
.sidebar-menu li > a {
  white-space: nowrap;
  overflow-x: hidden;
  text-overflow: ellipsis;
}

.sidebar-collapse .sidebar-menu li.active > a,
.sidebar-collapse .sidebar-menu li > a {
  text-overflow: unset;
}

.fixed .content-wrapper,
.fixed .right-side {
  padding-top: 6rem;
  --bg-opacity: 1;
  background-color: #edf2f7;
  background-color: rgba(237, 242, 247, var(--bg-opacity));
}

.sidebar-mini.sidebar-collapse .main-header .logo > .logo-mini {
  font-size: 20px;
}

.main-sidebar a {
  font-family: Roboto, Helvetica, sans-serif;
  overflow: hidden !important;
}

.sidebar-mini.sidebar-collapse .sidebar-menu li.header {
  display: block !important;
}

.sidebar-mini.sidebar-collapse .sidebar-menu li.header > span,
.sidebar-mini:not(.sidebar-collapse) .sidebar-menu li.header > i {
  display: none;
}

.content-header > h4 {
  font-family: Roboto, Helvetica, sans-serif;
  font-size: 16px;
  font-weight: 400;
  margin-top: 0px;
  margin-bottom: 0px;
}

.breadcrumb {
  margin-bottom: 13px;
  font-family: Roboto, Helvetica, sans-serif;
}

@media (min-width: 768px) {
  .sidebar-mini.sidebar-collapse .sidebar-menu > li > .treeview-menu {
    border-left: none;
  }

  .main-header .navbar-nav > li > a {
    padding-top: 0.75rem;
    padding-bottom: 0.75rem;
    border-radius: 0.25rem;
  }

  .sidebar-mini.sidebar-collapse .main-header .logo > .logo-mini {
    margin-left: 0;
    margin-right: 0;
  }
}

.login-page {
  background-color: #ecf0f5;
}

.login-logo {
  margin-top: 50px;
  font-size: 22px;
  margin-bottom: 10px;
}

.login-logo img {
  display: block;
  width: 100px;
  margin: 0 auto 10px;
}

.login-logo h2 {
  margin-bottom: 1rem;
  font-weight: 700;
  --text-opacity: 1;
  color: #234e52;
  color: rgba(35, 78, 82, var(--text-opacity));
}

.login-logo h4 {
  margin-bottom: 2rem;
  --text-opacity: 1;
  color: #718096;
  color: rgba(113, 128, 150, var(--text-opacity));
  font-size: 1.5rem;
}

.login-box {
  margin-top: 0;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
}

.login-box-header {
  background-color: #4e6671;
  color: #fff;
  padding: 10px 20px;
  font-family: Roboto, Helvetica, sans-serif;
  font-size: 20px;
  border-radius: 3px 3px 0 0;
}

.login-box-footer {
  background-color: #f6f6f6;
  color: #777;
  padding: 10px 20px;
  border-top: 1px solid #f0f0f0;
  border-radius: 0 0 3px 3px;
}

.content-header small {
  letter-spacing: 1px;
}

.form-control {
  --border-opacity: 1;
  border-color: #cbd5e0;
  border-color: rgba(203, 213, 224, var(--border-opacity));
}

.table td {
  vertical-align: middle;
}

.table .form-control {
  font-size: 12px;
  padding: 3px 8px;
  height: 22px;
}

.has-error .form-control-feedback {
  color: #a94442;
}

.login-page {
  height: auto;
  min-height: 100%;
}

.preloader {
  color: #666;
  padding-top: 25px;
  padding-bottom: 25px;
}

.box.box-default {
  --border-opacity: 1;
  border-color: #cbd5e0;
  border-color: rgba(203, 213, 224, var(--border-opacity));
}

.box-header .box-title {
  font-size: 14px;
  font-family: Roboto, Helvetica, sans-serif;
  text-transform: uppercase;
  font-weight: 700;
}

.modal-header {
  font-weight: 700;
  --text-opacity: 1;
  color: #fff;
  color: rgba(255, 255, 255, var(--text-opacity));
  background-color: #4e6671;
  border-radius: 3px 3px 0 0;
}

.modal-footer {
  --bg-opacity: 1;
  background-color: #f7fafc;
  background-color: rgba(247, 250, 252, var(--bg-opacity));
  border-top-color: #f0f0f0;
  border-radius: 0 0 3px 3px;
}

.modal-content {
  border-radius: 4px;
}

.modal-title {
  font-family: Roboto, Helvetica, sans-serif;
  font-size: 14px;
  font-weight: 400;
}

.modal-body {
  font-family: Roboto, Helvetica, sans-serif;
}

.modal {
  text-align: center;
  padding: 0 !important;
}

.modal:before {
  content: "";
  display: inline-block;
  height: 100%;
  vertical-align: middle;
  margin-right: -4px;
}

.modal-dialog {
  display: inline-block;
  text-align: left;
  vertical-align: middle;
}

.modal-body .sub-header {
  padding-top: 1rem;
  padding-bottom: 1rem;
  margin-top: 1rem;
  margin-bottom: 1rem;
  border-bottom-width: 1px;
  border-top-width: 0;
  border-left-width: 0;
  border-right-width: 0;
  border-style: solid;
  --border-opacity: 1;
  border-color: #e2e8f0;
  border-color: rgba(226, 232, 240, var(--border-opacity));
  font-weight: 700;
}

.control-label.text-left {
  text-align: left;
}

.box > .dataTables_wrapper {
  padding-top: 10px;
}

.dataTables_wrapper .dataTables_length,
.dataTables_wrapper .dataTables_info {
  padding-left: 10px;
}

.dataTables_wrapper .dataTables_filter,
.dataTables_wrapper .dataTables_paginate {
  padding-right: 10px;
}

.dataTables_wrapper .dataTables_paginate {
  padding-top: 10px;
  padding-bottom: 10px;
}

.dataTables_wrapper .dataTables_info {
  padding-top: 19px !important;
}

#noty_layout__topCenter,
#noty_layout__topCenter > li,
#noty_bar, #noty_type__error {
  width: 600px !important;
}

table.dataTable thead .text-center.sorting_disabled {
  padding-right: 0px !important;
}

table.dataTable thead .sorting:after,
table.dataTable thead .sorting_asc:after,
table.dataTable thead .sorting_desc:after {
  font-family: "Font Awesome 5 Free";
}

table.dataTable thead .sorting_asc:after {
  content: "\F0DE";
}

table.dataTable thead .sorting_desc:after {
  content: "\F0DD";
}

table.dataTable thead .sorting:after {
  content: "\F0DC";
}

.btn-group.btn-tabs .btn.disabled,
.btn-group.btn-tabs .btn[disabled],
fieldset[disabled] .btn-group.btn-tabs .btn {
  cursor: default;
}

.btn-group.btn-tabs .btn.disabled i,
.btn-group.btn-tabs .btn[disabled] i {
  display: inline;
}

.btn-group.btn-tabs .btn i,
.btn-group.btn-tabs .btn i {
  display: none;
}

.pb-15 {
  padding-bottom: 15px;
}

.pt-15 {
  padding-top: 15px;
}

.select2-container--default .select2-selection--single,
.select2-selection .select2-selection--single {
  border-radius: 3px;
}

.has-error .select2-container--default .select2-selection--single,
.has-error .select2-selection .select2-selection--single {
  border-color: #E53935;
}

select[readonly].select2-hidden-accessible + .select2-container {
  pointer-events: none;
  touch-action: none;
}

select[readonly].select2-hidden-accessible + .select2-container .select2-selection {
  background: #eee;
  box-shadow: none;
}

select[readonly].select2-hidden-accessible + .select2-container .select2-selection__arrow,
select[readonly].select2-hidden-accessible + .select2-container .select2-selection__clear {
  display: none;
}

form > .form-group:last-child {
  margin-bottom: 0;
}

span.label-file-info {
  max-width: 200px;
  display: inline-block;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  vertical-align: middle;
  font-weight: 400;
}

.text-muted {
  --text-opacity: 1;
  color: #cbd5e0;
  color: rgba(203, 213, 224, var(--text-opacity));
}

.label {
  padding: 0.3em 0.6em;
}

.main-header .navbar .nav > li > a > .label {
  padding: 3px 4px;
  top: 5px;
}

.navbar-nav > .messages-menu > .dropdown-menu li.header {
  font-weight: 700;
}

.navbar-nav > .messages-menu > .dropdown-menu {
  top: 58px;
}

.navbar-nav > .messages-menu > .dropdown-menu > li.header {
  background-color: #ffffff;
  padding: 7px 10px;
  border-bottom: 1px solid #f4f4f4;
  color: #444444;
  font-size: 14px;
}

.navbar-nav > .messages-menu > .dropdown-menu > li.footer > a {
  border-top-left-radius: 0;
  border-top-right-radius: 0;
  border-bottom-right-radius: 4px;
  border-bottom-left-radius: 4px;
  font-size: 12px;
  background-color: #fff;
  padding: 7px 10px;
  border-bottom: 1px solid #eeeeee;
  color: #444 !important;
  text-align: center;
}

@media (max-width: 991px) {
  .navbar-nav > .messages-menu > .dropdown-menu > li.footer > a {
    background: #fff !important;
    color: #444 !important;
  }
}

.navbar-nav > .messages-menu > .dropdown-menu > li.footer > a:hover {
  text-decoration: none;
  font-weight: normal;
}

.navbar-nav > .messages-menu > .dropdown-menu > li .menu {
  max-height: 200px;
  margin: 0;
  padding: 0;
  list-style: none;
  overflow-x: hidden;
}

.navbar-nav > .messages-menu > .dropdown-menu > li .menu > li > a {
  display: block;
  white-space: nowrap;
  /* Prevent text from breaking */
  border-bottom: 1px solid #f4f4f4;
}

.navbar-nav > .messages-menu > .dropdown-menu > li .menu > li > a:hover {
  background: #f4f4f4;
  text-decoration: none;
}

.navbar-nav > .messages-menu > .dropdown-menu > li .menu > li > a {
  margin: 0;
  padding: 10px 10px;
}

.navbar-nav > .messages-menu > .dropdown-menu > li .menu > li > a > div > img {
  margin: auto 10px auto auto;
  width: 40px;
  height: 40px;
}

.navbar-nav > .messages-menu > .dropdown-menu > li .menu > li > a > h4 {
  font-size: 14px;
  --text-opacity: 1;
  color: #1a202c;
  color: rgba(26, 32, 44, var(--text-opacity));
  margin: 0;
}

.navbar-nav > .messages-menu > .dropdown-menu > li .menu > li > a > h4 > small {
  color: #999999;
  font-size: 10px;
  position: absolute;
  top: 0;
  right: 0;
}

.navbar-nav > .messages-menu > .dropdown-menu > li .menu > li > a > p {
  margin: 0 0 0 45px;
  font-size: 12px;
  color: #888888;
}

.navbar-nav > .messages-menu > .dropdown-menu > li .menu > li > a:before,
.navbar-nav > .messages-menu > .dropdown-menu > li .menu > li > a:after {
  content: " ";
  display: table;
}

.navbar-nav > .messages-menu > .dropdown-menu > li .menu > li > a:after {
  clear: both;
}

.navbar-nav > .messages-menu > .dropdown-menu > li .menu > li > a > h4 {
  font-size: 12px;
  font-weight: 600;
}

.navbar-nav > .messages-menu > .dropdown-menu > li .menu > li > a > p {
  margin-left: 0;
  margin-top: 0.5rem;
}

.navbar-nav > .messages-menu > .dropdown-menu > li .menu > li > a > small {
  font-size: 11px;
  margin-top: 0.5rem;
  --text-opacity: 1;
  color: #a0aec0;
  color: rgba(160, 174, 192, var(--text-opacity));
}

.navbar-nav > .notifications-menu > .dropdown-menu, .navbar-nav > .messages-menu > .dropdown-menu, .navbar-nav > .tasks-menu > .dropdown-menu {
  width: 320px;
}

.show-password, .hide-password {
  margin-top: 8px;
  display: inline-block;
}

@media (max-width: 767px) {
  .fixed .content-wrapper, .fixed .right-side {
      padding-top: 120px;
  }
}

.panel-title {
    font-size: 14px;
    font-weight: 700;
}

.panel-group .panel {
    border-radius: 0;
}

.panel-group .panel-heading {
    border-radius: 0;
}

.table-responsive {
    padding-top: 10px;
}
